﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GameAnimations : MonoBehaviour {

    public GameController gameController;
    public GameObject onsetObject;
    public GameObject rimeObject;

    public bool startedRotation = false;
    public bool arrivedHalfway = false;
    public bool startFinish = false;
    public bool finishedRotation = false;
    public float curY = 0.0f;

	// Use this for initialization
	void Start () {
        finishedRotation = true;
	}
	
	// Update is called once per frame
	void Update () {
	
        if(startedRotation) {

            if(curY<90.0f) {
                curY += 30.0f;
                onsetObject.transform.Rotate(0, 30.0f, 0);
                rimeObject.transform.Rotate(0, 30.0f, 0);

            } else {
                startedRotation = false;
                arrivedHalfway = true;
                gameController.replaceOnset(onsetObject);
                gameController.replaceRime(rimeObject);
            }

        }

        if(startFinish) {
            if (curY > 0.0f)
            {
                curY -= 30.0f;
                onsetObject.transform.Rotate(0, -30.0f, 0);
                rimeObject.transform.Rotate(0, -30.0f, 0);

            }
            else
            {

                startFinish = false;
                finishedRotation = true;
                onsetObject = null;
                rimeObject = null;
            }
        }

    }

    public void finishRotate() {

        arrivedHalfway = false;
        startFinish = true;

    }

    public void beginRotate() {
        finishedRotation = false;
        startedRotation = true;
    }

}
