﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Networking;

public class OnlineHighScores : MonoBehaviour {

    public GameObject prefab;

    public List<GameObject> scoreItems;

    public int numScores = 0;

	// Use this for initialization
	void Start () {
		
        foreach (GameObject _scoreObj in scoreItems)
        {
            _scoreObj.SetActive(false);
        }

        StartCoroutine(GetOnlineScores());



	}
	
	// Update is called once per frame
	void Update () {
		
	}

    IEnumerator GetOnlineScores()
    {

        string tempUrl = "https://onsetsrimes.com/TopScoresUnity.php";

        UnityWebRequest www = UnityWebRequest.Get(tempUrl);
        yield return www.Send();

        if (www.isNetworkError)
        {
            Debug.Log(www.error);
        }
        else
        {
            // Show results as text
            Debug.Log(www.downloadHandler.text);

            string resultString = www.downloadHandler.text;
            string[] resultArray = resultString.Split(char.Parse("_"));
            foreach(string tempString in resultArray) {
                if (tempString.Length > 4)
                {
                    Debug.Log("tempString: " + tempString);

                    string[] splitStrings = tempString.Split(char.Parse("."));
                    Debug.Log("splitStrings: " + splitStrings);
                    string nameString = "";
                    string scoreString = "";
                    nameString = splitStrings[0];
                    scoreString = splitStrings[1];
                    string rankString = (numScores + 1).ToString();
                    GameObject tempScoreObj = scoreItems[numScores].gameObject;
                    ScoreItem tempScoreItem = tempScoreObj.GetComponent<ScoreItem>();
                    tempScoreObj.SetActive(true);
                    tempScoreItem.rankText.text = rankString;
                    tempScoreItem.nameText.text = nameString;
                    tempScoreItem.scoreText.text = scoreString;

                    numScores += 1;
                }

            }

            // Or retrieve results as binary data
            byte[] results = www.downloadHandler.data;
        }
    }
}
