﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class HighScoreAnimations : MonoBehaviour {

	public HighScoresManager highScoresManager;

	public Image logoImage;
	public Image pageContainerImage;
	public Text titleText;
	public Text titleShadowText;

	public Image mainMenuBtnImage;
	public Image newGameBtnImage;

	public Image onlineBtnImage;
	public Image offlineBtnImage;
	public Text onlineBtnText;
	public Text offlineBtnText;

    public Text loginTitleText;
    public Text loginTitleShadowText;

    public Image stayLoggedInToggleBG;
    public Text stayLoggedInText;
    public Text stayLoggedInTextShadow;
    public Image stayLoggedInToggleCheck;

    public Image registerButtonImage;
    public Text registerButtonText;
    public Image loginButtonImage;
    public Text loginButtonText;

    public Image usernameInputImage;
    public Text usernameInputPlaceholder;
    public Text usernameInputText;
    public Image passwordInputImage;
    public Text passwordInputPlaceholder;
    public Text passwordInputText;

    public Image facebookLoginImage;
    public Image twitterLoginImage;
    public Image instagramLoginImage;

    public Text registerTitleText;
    public Text registerTitleTextShadow;
    public Image backButtonImage;
    public Text backButtonText;
    public Image registerPageButtonImage;
    public Text registerPageButtonText;
    public Image registerUsernameBG;
    public Text registerUsernamePlaceholder;
    public Text registerUsernameText;
    public Image registerEmailBG;
    public Text registerEmailPlaceholder;
    public Text registerEmailText;
    public Image registerPasswordBG;
    public Text registerPasswordPlaceholder;
    public Text registerPasswordText;

    public Image scoreBGImage;

//	public Text scoreText;
//	public Text nameText;

	public Image footerBtnImage;
	public Text footerBtnText;

	public bool fadeIn = false;
	public bool fadeOut = false;
	public bool nextPage = false;
	public float curAlpha = 0.0f;
	public bool goBack = false;

	public MenuAnimations menuAnimator;
	public MenuManager menuManager;

	// Use this for initialization
	void Start () {

		updateColor();

	}


	// Update is called once per frame
	void Update () {

		if(fadeIn && curAlpha < 1.0f) { 

			curAlpha += 0.1f;

			updateColor();
		
		} else if(fadeOut && curAlpha > 0.0f) {

			curAlpha -= 0.1f;

			updateColor();

		}  else if(fadeOut && !(curAlpha > 0.0f)){

			fadeOut = false;
			if(goBack) { 

				menuAnimator.returnToMenu();
				goBack = false;
				curAlpha = 0.0f;
				fadeIn = false;
				fadeOut = false;

			}

		} else if(fadeIn && !(curAlpha < 1.0f)) {

			fadeIn = false;
			highScoresManager.pageEnabled = true;
			highScoresManager.showPage();
             
            if (PlayerPrefs.GetInt("loggedIn") == 1)
            {
                if (PlayerPrefs.GetString("login_type") == "fb")
                {

            menuManager.highScoreProfileImageObj.SetActive(true);
                }
            }

		}

	}

	public void backToMenu () {
        highScoresManager.onlineScoresObj.SetActive(false);
        highScoresManager.offlineScoresObj.SetActive(false);
		highScoresManager.pageEnabled = false;
		menuManager.menuObject.SetActive(true);
        if (PlayerPrefs.GetString("login_type") == "fb")
        {
            menuManager.mainMenuProfileImageObj.SetActive(true);
            menuManager.highScoreProfileImageObj.SetActive(false);
        }
        else
        {
            menuManager.mainMenuProfileImageObj.SetActive(false);
            menuManager.highScoreProfileImageObj.SetActive(false);
        }
		fadeIn = false;
		fadeOut = true;
		goBack = true;

	}

	public void updateColor() {

		Color tmpCol = logoImage.color;
		tmpCol.a = curAlpha;
		logoImage.color = tmpCol;

		tmpCol = pageContainerImage.color;
		tmpCol.a = curAlpha;
		pageContainerImage.color = tmpCol;

		tmpCol = titleText.color;
		tmpCol.a = curAlpha;
		titleText.color = tmpCol;

		tmpCol = titleShadowText.color;
		tmpCol.a = curAlpha;
		titleShadowText.color = tmpCol;

		tmpCol = onlineBtnImage.color;
		tmpCol.a = curAlpha;
		onlineBtnImage.color = tmpCol;

		tmpCol = offlineBtnImage.color;
		tmpCol.a = curAlpha;
		offlineBtnImage.color = tmpCol;

		tmpCol = mainMenuBtnImage.color;
		tmpCol.a = curAlpha;
		mainMenuBtnImage.color = tmpCol;

		tmpCol = newGameBtnImage.color;
		tmpCol.a = curAlpha;
		newGameBtnImage.color = tmpCol;

		tmpCol = onlineBtnText.color;
		tmpCol.a = curAlpha;
		onlineBtnText.color = tmpCol;

		tmpCol = offlineBtnText.color;
		tmpCol.a = curAlpha;
		offlineBtnText.color = tmpCol;

		//tmpCol = nameText.color;
		//tmpCol.a = curAlpha;
		//nameText.color = tmpCol;

		//tmpCol = scoreText.color;
		//tmpCol.a = curAlpha;
		//scoreText.color = tmpCol;

		tmpCol = footerBtnImage.color;
		tmpCol.a = curAlpha;
		footerBtnImage.color = tmpCol;

		tmpCol = footerBtnText.color;
		tmpCol.a = curAlpha;
		footerBtnText.color = tmpCol;

        tmpCol = loginTitleText.color;
        tmpCol.a = curAlpha;
        loginTitleText.color = tmpCol;

        tmpCol = loginTitleShadowText.color;
        tmpCol.a = curAlpha;
        loginTitleShadowText.color = tmpCol;

        tmpCol = stayLoggedInToggleBG.color;
        tmpCol.a = curAlpha;
        stayLoggedInToggleBG.color = tmpCol;

        tmpCol = stayLoggedInText.color;
        tmpCol.a = curAlpha;
        stayLoggedInText.color = tmpCol;

        tmpCol = stayLoggedInTextShadow.color;
        tmpCol.a = curAlpha;
        stayLoggedInTextShadow.color = tmpCol;

        tmpCol = stayLoggedInToggleCheck.color;
        tmpCol.a = curAlpha;
        stayLoggedInToggleCheck.color = tmpCol;

        tmpCol = registerButtonImage.color;
        tmpCol.a = curAlpha;
        registerButtonImage.color = tmpCol;

        tmpCol = registerButtonText.color;
        tmpCol.a = curAlpha;
        registerButtonText.color = tmpCol;

        tmpCol = loginButtonImage.color;
        tmpCol.a = curAlpha;
        loginButtonImage.color = tmpCol;

        tmpCol = loginButtonText.color;
        tmpCol.a = curAlpha;
        loginButtonText.color = tmpCol;

        tmpCol = usernameInputImage.color;
        tmpCol.a = curAlpha;
        usernameInputImage.color = tmpCol;

        tmpCol = usernameInputText.color;
        tmpCol.a = curAlpha;
        usernameInputText.color = tmpCol;

        tmpCol = usernameInputPlaceholder.color;
        tmpCol.a = curAlpha;
        usernameInputPlaceholder.color = tmpCol;

        tmpCol = passwordInputImage.color;
        tmpCol.a = curAlpha;
        passwordInputImage.color = tmpCol;

        tmpCol = passwordInputText.color;
        tmpCol.a = curAlpha;
        passwordInputText.color = tmpCol;

        tmpCol = passwordInputPlaceholder.color;
        tmpCol.a = curAlpha;
        passwordInputPlaceholder.color = tmpCol;

        tmpCol = facebookLoginImage.color;
        tmpCol.a = curAlpha;
        facebookLoginImage.color = tmpCol;

        tmpCol = registerTitleText.color;
        tmpCol.a = curAlpha;
        registerTitleText.color = tmpCol;

        tmpCol = registerTitleTextShadow.color;
        tmpCol.a = curAlpha;
        registerTitleTextShadow.color = tmpCol;

        tmpCol = backButtonText.color;
        tmpCol.a = curAlpha;
        backButtonText.color = tmpCol;

        tmpCol = backButtonImage.color;
        tmpCol.a = curAlpha;
        backButtonImage.color = tmpCol;

        tmpCol = registerPageButtonText.color;
        tmpCol.a = curAlpha;
        registerPageButtonText.color = tmpCol;

        tmpCol = registerPageButtonImage.color;
        tmpCol.a = curAlpha;
        registerPageButtonImage.color = tmpCol;

        tmpCol = registerUsernameBG.color;
        tmpCol.a = curAlpha;
        registerUsernameBG.color = tmpCol;

        tmpCol = registerUsernameText.color;
        tmpCol.a = curAlpha;
        registerUsernameText.color = tmpCol;

        tmpCol = registerUsernamePlaceholder.color;
        tmpCol.a = curAlpha;
        registerUsernamePlaceholder.color = tmpCol;

        tmpCol = registerEmailBG.color;
        tmpCol.a = curAlpha;
        registerEmailBG.color = tmpCol;

        tmpCol = registerEmailText.color;
        tmpCol.a = curAlpha;
        registerEmailText.color = tmpCol;

        tmpCol = registerEmailPlaceholder.color;
        tmpCol.a = curAlpha;
        registerEmailPlaceholder.color = tmpCol;

        tmpCol = registerPasswordBG.color;
        tmpCol.a = curAlpha;
        registerPasswordBG.color = tmpCol;

        tmpCol = registerPasswordText.color;
        tmpCol.a = curAlpha;
        registerPasswordText.color = tmpCol;

        tmpCol = registerPasswordPlaceholder.color;
        tmpCol.a = curAlpha;
        registerPasswordPlaceholder.color = tmpCol;
 
	}
}
