﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class OnsetObject : MonoBehaviour {

	public Image onsetImage;
	public Text onsetText;
	public Text valueText;
	public Button onsetButton;

	public GameObject[] onsets;

	public OnsetTop onsetTop;

	public GameController gameController;

	public bool onsetPressed = false;

	public float curOpacity = 1.0f;

	// Use this for initialization
	void Start () {
		onsetImage = gameObject.GetComponent<Image>();

		onsetButton = gameObject.GetComponent<Button>();
		onsetButton.onClick.AddListener(onsetSelected);

		onsets = GameObject.FindGameObjectsWithTag("onset");

		onsetTop = GameObject.FindGameObjectWithTag("onset_top").GetComponent<OnsetTop>();

		gameController = GameObject.FindGameObjectWithTag("game_controller").GetComponent<GameController>();

	}

	public void onsetSelected() {
        if(!onsetPressed) {
			foreach (GameObject onset in onsets){
				onset.GetComponent<OnsetObject>().onsetPressed = false;
			}
			onsetPressed = true;

			onsetTop.onsetText.text = onsetText.text;
			onsetTop.valueText.text = valueText.text;

			//if(!onsetTop.visible){
				onsetTop.shouldShow = true;
				gameController.onsetPressed = true;
			//}
		}
	}

	// Update is called once per frame
	void Update () {

		if(onsetPressed&&curOpacity>0.5f){
			curOpacity -= 0.1f;
			Color tempColor = onsetImage.color;
			tempColor.a = curOpacity;
			onsetImage.color = tempColor;
		} else if (!onsetPressed&&curOpacity<1.0f){
			curOpacity += 0.1f;
			Color tempColor = onsetImage.color;
			tempColor.a = curOpacity;
			onsetImage.color = tempColor;
		}

	}
}
