﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using System.IO;   

public class VolumeButton : MonoBehaviour {

	public Image volumeImg;
	public Image volumeImg2;

	public Sprite volumeOnImg;
	public Sprite volumeOffImg;
	public Sprite volumeOnImgDark;
	public Sprite volumeOffImgDark;

	public bool volume_on = true;

	// Use this for initialization
	void Start () {

		// Check the player preferences for the 
		// volume setting.
		if(PlayerPrefs.HasKey("volume_on")){
			// We know it exists, so let's get it's value.
			int volOn = PlayerPrefs.GetInt("volume_on");

			// If it's zero, volume should be off.
			if(volOn == 0) {
				// Display the off image accordingly...
				volumeImg.sprite = volumeOffImg;
				volumeImg2.sprite = volumeOffImg;
				// And set this script's volume_on bool
				// to false, so other classes will be aware of it.
				volume_on = false;
			// If it's one, volume is on.
			} else if (volOn == 1){
				// Do the opposite of above.
				volumeImg.sprite = volumeOnImg;
				volumeImg2.sprite = volumeOnImg;
				volume_on = true;
			}
		} else {
			// If the value doesn't already exist,
			// set it to 'on' or '1' by default.
			PlayerPrefs.SetInt("volume_on", 1);
			// Double-check our 'volume_on' is true.
			volume_on = true;
			// Set the button's image correctly.
			volumeImg.sprite = volumeOnImg;
			volumeImg2.sprite = volumeOnImg;
		}

	}

	// Change the volume from on to off.
	public void toggleVolume () {
		// If the volume is on...
		if(volume_on){ 
			// Set the volume to off.
			volume_on = false;
			// Write that to the preferences.
			PlayerPrefs.SetInt("volume_on", 0);
			// Change the image.
			volumeImg.sprite = volumeOffImg;
			volumeImg2.sprite = volumeOffImg;
		} else {
			// Do the opposite and turn it on.
			volume_on = true;
			PlayerPrefs.SetInt("volume_on", 1);
			volumeImg.sprite = volumeOnImg;
			volumeImg2.sprite = volumeOnImg;
		}

	}
	
	// Update is called once per frame
	void Update () {
		
	}
}
